# Class: Haml::ErubiTemplateHandler

Inherits:
  ActionView::Template::Handlers::ERB::Erubi
  - Object
  - ActionView::Template::Handlers::ERB::Erubi
  - Haml::ErubiTemplateHandler
  show all

Defined in:
  lib/haml/helpers/safe_erubi_template.rb

## Instance Method Summary collapse

- #initialize(*args, &blk) ⇒ ErubiTemplateHandler constructor

  A new instance of ErubiTemplateHandler.

## Constructor Details

### #initialize(*args, &blk) ⇒ `ErubiTemplateHandler`

Returns a new instance of ErubiTemplateHandler.

    8
    9
    10
    11

    # File 'lib/haml/helpers/safe_erubi_template.rb', line 8

    def initialize(*args, &blk)
      @newline_pending = 0
      super
    end